//
// C++ Interface: kmfruleeditinterface
//
// Description: 
//
//
// Author: Christian Hubinger <chubinger@gmail.com>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
// License: GPL
//
#ifndef KMFRULEEDITINTERFACE_H
#define KMFRULEEDITINTERFACE_H

#include <qptrlist.h>

#include <kdemacros.h>
/**
@author Christian Hubinger
*/

class QString;


class KDE_EXPORT KMFRuleEditInterface{
public:
    KMFRuleEditInterface();
    virtual ~KMFRuleEditInterface();
	virtual void addRuleOption(QString*, QPtrList< QString >* ) = 0;
	virtual void addRuleTargetOption(QString*, QPtrList< QString >* ) = 0; 
	virtual void showOverview() = 0; 
};

#endif
